Bug 2212615 (CVE-2023-32032) - CVE-2023-32032 dotnet: Elevation of privilege - TarFile.ExtractToDirectory ignores extraction directory argument
Summary: CVE-2023-32032 dotnet: Elevation of privilege - TarFile.ExtractToDirectory ig...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2023-32032
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2212658 2212660 2212662 2212663 2212664 2212665 2212666 2212667 2212668 2214900 2214901
Blocks: 2191686
TreeView+ depends on / blocked
 
Reported: 2023-06-06 04:00 UTC by Sandipan Roy
Modified: 2023-06-20 13:31 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in dotnet. This issue can cause an elevation of privilege when the TarFile.ExtractToDirectory ignores the extraction directory argument.
Clone Of:
Environment:
Last Closed: 2023-06-15 00:08:21 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2023:3650 0 None None None 2023-06-15 23:43:42 UTC
Red Hat Product Errata RHSA-2023:3592 0 None None None 2023-06-14 09:46:54 UTC
Red Hat Product Errata RHSA-2023:3593 0 None None None 2023-06-14 09:55:57 UTC

Description Sandipan Roy 2023-06-06 04:00:13 UTC
# CVE-2023-32032

Elevation of privilege - TarFile.ExtractToDirectory ignores extraction directory argument

Comment 2 Sandipan Roy 2023-06-14 04:37:50 UTC
Created dotnet7.0 tracking bugs for this issue:

Affects: fedora-37 [bug 2214900]
Affects: fedora-38 [bug 2214901]

Comment 3 errata-xmlrpc 2023-06-14 09:46:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2023:3592 https://access.redhat.com/errata/RHSA-2023:3592

Comment 4 errata-xmlrpc 2023-06-14 09:55:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2023:3593 https://access.redhat.com/errata/RHSA-2023:3593

Comment 5 Product Security DevOps Team 2023-06-15 00:08:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-32032


Note You need to log in before you can comment on or make changes to this bug.